## python-rcssmin 1.0.6

=== docs/DESCRIPTION ===
==============
 CSS Minifier
==============

RCSSmin is a CSS minifier.

The minifier is based on the semantics of the `YUI compressor`_\, which itself
is based on `the rule list by Isaac Schlueter`_\.

This module is a re-implementation aiming for speed instead of maximum
compression, so it can be used at runtime (rather than during a preprocessing
step). RCSSmin does syntactical compression only (removing spaces, comments
and possibly semicolons). It does not provide semantic compression (like
removing empty blocks, collapsing redundant properties etc). It does, however,
support various CSS hacks (by keeping them working as intended).

Here's a feature list:

- Strings are kept, except that escaped newlines are stripped
- Space/Comments before the very end or before various characters are
  stripped: ``:{});=>],!`` (The colon (``:``) is a special case, a single
  space is kept if it's outside a ruleset.)
- Space/Comments at the very beginning or after various characters are
  stripped: ``{}(=:>[,!``
- Optional space after unicode escapes is kept, resp. replaced by a simple
  space
- whitespaces inside ``url()`` definitions are stripped
- Comments starting with an exclamation mark (``!``) can be kept optionally.
- All other comments and/or whitespace characters are replaced by a single
  space.
- Multiple consecutive semicolons are reduced to one
- The last semicolon within a ruleset is stripped
- CSS Hacks supported:

  - IE7 hack (``>/**/``)
  - Mac-IE5 hack (``/*\*/.../**/``)
  - The boxmodelhack is supported naturally because it relies on valid CSS2
    strings
  - Between ``:first-line`` and the following comma or curly brace a space is
    inserted. (apparently it's needed for IE6)
  - Same for ``:first-letter``

rcssmin.c is a reimplementation of rcssmin.py in C and improves runtime up to
factor 100 or so (depending on the input). docs/BENCHMARKS in the source
distribution contains the details.

Both python 2 (>= 2.4) and python 3 are supported.

.. _YUI compressor: https://github.com/yui/yuicompressor/

.. _the rule list by Isaac Schlueter: https://github.com/isaacs/cssmin/


Copyright and License
~~~~~~~~~~~~~~~~~~~~~

Copyright 2011 - 2015
André Malo or his licensors, as applicable.

The whole package (except for the files in the bench/ directory) is
distributed under the Apache License Version 2.0. You'll find a copy in the
root directory of the distribution or online at:
<http://www.apache.org/licenses/LICENSE-2.0>.


Bugs
~~~~

No bugs, of course. ;-)
But if you've found one or have an idea how to improve rcssmin, feel free
to send a pull request on `github <https://github.com/ndparker/rcssmin>`_
or send a mail to <rcssmin-bugs@perlig.de>.


Author Information
~~~~~~~~~~~~~~~~~~

André "nd" Malo <nd perlig.de>
GPG: 0x8103A37E


    If God intended people to be naked, they would be born that way.
    -- Oscar Wilde

.. vim:tw=72 syntax=rest

=== debian/changelog ===
python-rcssmin (1.0.6-2build7) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:03:40 +0000

python-rcssmin (1.0.6-2build6) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:59:12 +0000

python-rcssmin (1.0.6-2build5) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:23:11 +0200

python-rcssmin (1.0.6-2build4) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:43:30 +0100

python-rcssmin (1.0.6-2build3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:55:12 +0200

python-rcssmin (1.0.6-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:58 +0100

python-rcssmin (1.0.6-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:11:36 +0000

python-rcssmin (1.0.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/control: Set Vcs-* to salsa.debian.org

  [ James Page ]
  * d/rules: Execute unit tests during package build.

  [ Ondřej Nový ]

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938122).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 01:03:58 +0200

python-rcssmin (1.0.6-1) unstable; urgency=medium

  * Initial release. (Closes: #808765)

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Dec 2015 16:23:19 +0100

=== debian/control ===
Source: python-rcssmin
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all-dev,
 python3-setuptools,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-rcssmin
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-rcssmin.git
Homepage: http://opensource.perlig.de/rcssmin/

Package: python3-rcssmin
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: CSS Minifier - Python 3.x
 The minifier is based on the semantics of the YUI compressor, which itself is
 based on the rule list by Isaac Schlueter.
 .
 This module is a re-implementation aiming for speed instead of maximum
 compression, so it can be used at runtime (rather than during a preprocessing
 step). RCSSmin does syntactical compression only (removing spaces, comments
 and possibly semicolons). It does not provide semantic compression (like
 removing empty blocks, collapsing redundant properties etc). It does, however,
 support various CSS hacks (by keeping them working as intended).
 .
 rcssmin.c is a reimplementation of rcssmin.py in C and improves runtime up to
 factor 100 or so (depending on the input). docs/BENCHMARKS in the source
 distribution contains the details.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/ndparker/rjsmin.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*/usr/share/doc/rcssmin

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers run_tests.py tests ; \
	done
endif

## python-rcssmin 1.1.0

=== docs/DESCRIPTION ===
--- 
+++ 
@@ -24,7 +24,8 @@
   stripped: ``{}(=:>[,!``
 - Optional space after unicode escapes is kept, resp. replaced by a simple
   space
-- whitespaces inside ``url()`` definitions are stripped
+- whitespaces inside ``url()`` definitions are stripped, except if it's a
+  quoted non-base64 data url
 - Comments starting with an exclamation mark (``!``) can be kept optionally.
 - All other comments and/or whitespace characters are replaced by a single
   space.
@@ -44,7 +45,7 @@
 factor 100 or so (depending on the input). docs/BENCHMARKS in the source
 distribution contains the details.
 
-Both python 2 (>= 2.4) and python 3 are supported.
+Supported python versions are 2.7 and 3.6+.
 
 .. _YUI compressor: https://github.com/yui/yuicompressor/
 
@@ -54,7 +55,7 @@
 Copyright and License
 ~~~~~~~~~~~~~~~~~~~~~
 
-Copyright 2011 - 2015
+Copyright 2011 - 2021
 André Malo or his licensors, as applicable.
 
 The whole package (except for the files in the bench/ directory) is
@@ -76,7 +77,7 @@
 ~~~~~~~~~~~~~~~~~~
 
 André "nd" Malo <nd perlig.de>
-GPG: 0x8103A37E
+GPG: 0x029C942244325167
 
 
     If God intended people to be naked, they would be born that way.

=== debian/changelog ===
python-rcssmin (1:1.1.0-2build2~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 08 Apr 2024 18:40:28 +0000

python-rcssmin (1:1.1.0-2build2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:17:38 +0200

python-rcssmin (1:1.1.0-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:52:00 +0000

python-rcssmin (1:1.1.0-2) unstable; urgency=medium

  * Cleans better (Closes: #1045282).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 10:53:45 +0200

python-rcssmin (1:1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.
  * Use pytest as test runner.
  * Increase EPOCH after 1.2.0 upload mistake. Only python-django-compressor
    is affected, so it should be fine.
  * Reorder d/copyright.
  * Upgraded to debhelper 11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jun 2022 14:57:50 +0200

python-rcssmin (1.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ James Page ]
  * d/rules: Execute unit tests during package build.

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Add trailing tilde to min version depend to allow
    backports

  [ Thomas Goirand ]
  * New upstream release.
  * Kill the Python 2 package.
  * Use pytest to run tests.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jun 2022 12:11:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: python-rcssmin
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all-dev,
  python3-setuptools,
+ python3-pytest,
+ python3-pytest-mock,
 Standards-Version: 4.1.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-rcssmin
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-rcssmin.git

## python-rcssmin 1.1.2

=== docs/DESCRIPTION ===
--- 
+++ 
@@ -55,7 +55,7 @@
 Copyright and License
 ~~~~~~~~~~~~~~~~~~~~~
 
-Copyright 2011 - 2021
+Copyright 2011 - 2023
 André Malo or his licensors, as applicable.
 
 The whole package (except for the files in the bench/ directory) is

=== debian/changelog ===
python-rcssmin (1:1.1.2-4build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:10:46 +0000

python-rcssmin (1:1.1.2-4build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:20:41 +0000

python-rcssmin (1:1.1.2-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090602).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:15:10 +0100

python-rcssmin (1:1.1.2-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090602).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:13:43 +0100

python-rcssmin (1:1.1.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:33:03 +0200

python-rcssmin (1:1.1.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 09:08:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-rcssmin
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/ndparker/rcssmin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	rm -rf .pytest_cache

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
	rm -rf $(CURDIR)/debian/python*/usr/share/doc/rcssmin

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python$$pyvers -m pytest tests ; \
	done
endif

override_dh_auto_test:
